Skip to main content
POST
/
members
/
start-session
Start a single sign-on session
curl --request POST \
  --url https://{domain}/api/site/members/start-session \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "john@doe.com",
  "path": "/protected-member-only-page"
}
'
{
  "token": "xxxxx.xxxxx.xxxxx",
  "accessUrl": "https://your-domain/api/site/members/session/xxxxx.xxxxx.xxxxx",
  "createdAt": 1605283421,
  "expiresAt": 1605284321
}

Authorizations

Authorization
string
header
required

Pass your API key as: Authorization: Bearer <API KEY>.

Body

application/json
email
string<email>
required
Example:

"john@doe.com"

path
string

Optional. Direct the member to a specific page after sign-on.

Example:

"/protected-member-only-page"

Response

200 - application/json

A session token and access URL.

token
string
Example:

"xxxxx.xxxxx.xxxxx"

accessUrl
string<uri>

Redirect the member here. Valid for 15 minutes.

Example:

"https://your-domain/api/site/members/session/xxxxx.xxxxx.xxxxx"

createdAt
integer<int64>
Example:

1605283421

expiresAt
integer<int64>
Example:

1605284321

Last modified on June 20, 2026